/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;

import java.awt.*;

/**
  Comme DPanel
  avec un fond color
*/

public class BPanel extends DPanel
{

 int vgap = 0;
 int hgap = 0;

 public BPanel() { super(); }
 public BPanel(int border) { super(border); }
 public BPanel(int border, int g)
 {
   super(border);
   vgap = g;
   hgap = g;
 }

 public void setMargin(int g) { vgap = g; hgap = g; }
 public void setHGap(int g) { hgap = g; }
 public void setVGap(int g) { vgap = g; }


 public void update(Graphics g)
  {
 	 Dimension s = getSize();
  	 int x = hgap;
  	 int y = vgap;
  	 int w = s.width - 1 - vgap;
  	 int h = s.height - 1 - hgap;
  	 //g.clipRect(0, 0, w, h);
  	 g.setColor(getBackground());
  	 g.fillRect(x, y, w, h);

     paint(g);
  }




} // class
