/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;

import java.util.*;
import java.awt.*;
import common.*;

// Liste des paisseurs et type de caractre

public class StyleList
{
   static String nom[] = { "Plain", "Bold", "Italic" };
   static int style[]  = { Font.PLAIN, Font.BOLD, Font.ITALIC };

   public StyleList()
   {
    //{{INIT_CONTROLS
		//}}
   }

  static public int size()
  { 
   return( nom.length);  
  }

  static public String getString(int index)
  { 
    return( nom[index] ); 
  }

  /*
     Liste complte des styles
  */   

 public static String[] choiceList() { return nom;}

 /*
    Retourne un numro de style (numro) selon le nom
 */   

 public static int getStyle(String key)
  {
     for(int i = 0; i < nom.length; i++)
     {
      if( nom[i].equalsIgnoreCase(key)) return style[i];
     }

     return(0);
  }

  /* 
      Remplit une "choice" list
  */
  
   public static void fill(java.awt.Choice box)
   {
     for(int i = 0; i < nom.length; i++) 
        box.add(nom[i]);
   }

	//{{DECLARE_CONTROLS
	//}}
}
