/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package comgr;

/**
  The green palette.
 */

import java.awt.image.*;

public class PaletteGreen extends Palette
{

  PaletteGreen()
   {
      super();   // appelle fill et cre colormodel
   		//{{INIT_CONTROLS
		//}}
}


 public void fill()
 {

  for (int i = 0; i < r.length; i++)
   {
     a[i] = (byte) 255;
     r[i] = 0;
     g[i] = 0;
   }

  for (int gi = 0; gi < g.length; gi++)
   {
	if (gi < 85)		g[gi] = (byte) (25 + gi);
	else if (gi < 170)	g[gi] = (byte)((gi - 85) * 3);
	else              	g[gi] = (byte)((255 - gi) * 3);
   }
 }

	//{{DECLARE_CONTROLS
	//}}
}
